<?php
/**
 * Holistic Health Coach functions
 */

//Admin css
add_editor_style( array( 'assets/css/admin.css' ) );

if ( ! function_exists( 'holistic_health_coach_setup' ) ) :
function holistic_health_coach_setup() {

    load_theme_textdomain( 'holistic-health-coach', get_template_directory() . '/languages' );

	// Set up the WordPress core custom background feature.
    add_theme_support( 'custom-background', apply_filters( 'holistic_health_coach_custom_background_args', array(
	    'default-color' => 'ffffff',
	    'default-image' => '',
    ) ) );

	/**
	 * About Theme Function
	 */
	require get_theme_file_path( '/about-theme/about-theme.php' );

	/**
	 * Customizer
	 */
	require get_template_directory() . '/inc/customizer.php';	
}
endif; 
add_action( 'after_setup_theme', 'holistic_health_coach_setup' );

if ( ! function_exists( 'holistic_health_coach_styles' ) ) :
	function holistic_health_coach_styles() {
		// Register theme stylesheet.
		wp_register_style('holistic-health-coach-style',
			get_template_directory_uri() . '/style.css',array(),
			wp_get_theme()->get( 'Version' )
		);
		// Register theme custom code js.
		wp_enqueue_script( 'customcode', 
			get_template_directory_uri() . '/assets/js/customcode.js', array( 'jquery' ) );

		// Scroll to top CSS and JS
		wp_enqueue_style( 'dashicons' );
		
		wp_enqueue_style( 'scroll-to-top-style',
			get_template_directory_uri() . '/assets/css/scroll-to-top.css',
			array(),
			wp_get_theme()->get('Version')
		);

		wp_enqueue_script( 'scroll-to-top-js',
			get_template_directory_uri() . '/assets/js/scroll-to-top.js',
			array(),
			wp_get_theme()->get('Version'),
			true
		);

		// Enqueue theme stylesheet.
		wp_enqueue_style( 'holistic-health-coach-style' );

		wp_style_add_data( 'holistic-health-coach-style', 'rtl', 'replace' );

		wp_enqueue_script( 'holistic-health-coach-custom-script', get_theme_file_uri( '/assets/js/custom-script.js' ), array( 'jquery' ), true );
	}
endif;
add_action( 'wp_enqueue_scripts', 'holistic_health_coach_styles' );